# Copyright 2023, Austin McCartney

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# SPDX-License-Identifier: GPL-3.0-or-later

{
  "variables": {"CONTAINER_REVISION": "development"},
  "stages": ["build", "publish"],
  "build": {
    "stage": "build",
    "image": "$CI_REGISTRY_IMAGE/$CONTAINER_REVISION/sphinx:latest",
    "script": ["make html"],
    "artifacts": {
      "paths": ["_build/html"],
      "expire_in": "1 day"
    }
  },
  "pages" : {
    "stage": "publish",
    "variables": {"GIT_STRATEGY": "none"},
    "script": ["mv _build/html public"],
    # "rules": ["if": "$CI_COMMIT_TAG"],
    "artifacts": {"paths": ["public"]}
  }
}

